curl --request GET \
--url https://api.topsort.com/public/v1/billing-service/vendor-charges \
--header 'Authorization: Bearer <token>'{
"data": [
{
"interactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interactionType": "Impression",
"timestamp": "2023-11-07T05:31:56Z",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "<string>",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"externalVendorId": "<string>",
"globalId": "<string>"
}
],
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>"
}Endpoint to Get Vendor Charges.
Please note this is a beta API and therefore it is subject to change.
curl --request GET \
--url https://api.topsort.com/public/v1/billing-service/vendor-charges \
--header 'Authorization: Bearer <token>'{
"data": [
{
"interactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interactionType": "Impression",
"timestamp": "2023-11-07T05:31:56Z",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "<string>",
"vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"externalVendorId": "<string>",
"globalId": "<string>"
}
],
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>"
}A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
The start of the date range for which to retrieve. Must include the Timezone definition.
The end of the date range for which to retrieve. Must include the Timezone definition.
Was this page helpful?